Loading...
Searching...
No Matches
wayland::shell_surface_resize Struct Reference

edge values for resizing More...

`#include <wayland-client-protocol.hpp>`

Inherits wayland::detail::bitfield< size, id >.

## Static Public Attributes

static const wayland::detail::bitfield< 4, 8 > | none {0}
| no edge
static const wayland::detail::bitfield< 4, 8 > | top {1}
| top edge
static const wayland::detail::bitfield< 4, 8 > | bottom {2}
| bottom edge
static const wayland::detail::bitfield< 4, 8 > | left {4}
| left edge
static const wayland::detail::bitfield< 4, 8 > | top_left {5}
| top and left edges
static const wayland::detail::bitfield< 4, 8 > | bottom_left {6}
| bottom and left edges
static const wayland::detail::bitfield< 4, 8 > | right {8}
| right edge
static const wayland::detail::bitfield< 4, 8 > | top_right {9}
| top and right edges
static const wayland::detail::bitfield< 4, 8 > | bottom_right {10}
| bottom and right edges

## Detailed Description

edge values for resizing

These values are used to indicate which edge of a surface is being dragged in a resize operation. The server may use this information to adapt its behavior, e.g. choose an appropriate cursor image.

Definition at line 1897 of file wayland-client-protocol.hpp.

## Member Data Documentation

## bottom

const bitfield< 4, 8 > shell_surface_resize::bottom {2}

static

bottom edge

Definition at line 1908 of file wayland-client-protocol.hpp.

## bottom_left

const bitfield< 4, 8 > shell_surface_resize::bottom_left {6}

static

bottom and left edges

Definition at line 1914 of file wayland-client-protocol.hpp.

## bottom_right

const bitfield< 4, 8 > shell_surface_resize::bottom_right {10}

static

bottom and right edges

Definition at line 1920 of file wayland-client-protocol.hpp.

## left

const bitfield< 4, 8 > shell_surface_resize::left {4}

static

left edge

Definition at line 1910 of file wayland-client-protocol.hpp.

## none

const bitfield< 4, 8 > shell_surface_resize::none {0}

static

no edge

Definition at line 1904 of file wayland-client-protocol.hpp.

## right

const bitfield< 4, 8 > shell_surface_resize::right {8}

static

right edge

Definition at line 1916 of file wayland-client-protocol.hpp.

## top

const bitfield< 4, 8 > shell_surface_resize::top {1}

static

top edge

Definition at line 1906 of file wayland-client-protocol.hpp.

## top_left

const bitfield< 4, 8 > shell_surface_resize::top_left {5}

static

top and left edges

Definition at line 1912 of file wayland-client-protocol.hpp.

## top_right

const bitfield< 4, 8 > shell_surface_resize::top_right {9}

static

top and right edges

Definition at line 1918 of file wayland-client-protocol.hpp.

The documentation for this struct was generated from the following files:

- obj-x86_64-linux-gnu/wayland-client-protocol.hpp
- obj-x86_64-linux-gnu/wayland-client-protocol.cpp
- obj-x86_64-linux-gnu/wayland-server-protocol.cpp